Skip to content
Start here

Get PDF.

client.browserRendering.pdf.create(PDFCreateParamsparams, RequestOptionsoptions?): Response
POST/accounts/{account_id}/browser-rendering/pdf

Fetches rendered PDF from provided URL or HTML. Check available options like gotoOptions and waitFor* to control page load behaviour.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering Write
ParametersExpand Collapse
PDFCreateParams = Variant0 | Variant1
PDFCreateParamsBase
Variant0 extends PDFCreateParamsBase
Variant1 extends PDFCreateParamsBase
ReturnsExpand Collapse
unnamed_schema_11 = Response

Get PDF.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const pdf = await client.browserRendering.pdf.create({
  account_id: 'account_id',
  html: '<h1>Hello World!</h1>',
});

console.log(pdf);

const content = await pdf.blob();
console.log(content);
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}
Returns Examples
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}